Skip to main content
GET
/
withdrawals
List validator withdrawal details on proof-of-stake networks
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/withdrawals?apikey='
{
  "items": [
    {
      "amount": "<string>",
      "index": 123,
      "validator_index": 123,
      "block_number": 123,
      "receiver": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_params": {
    "index": 50,
    "items_count": 50
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

index
integer

Item index for paging

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

List of withdrawals with pagination.

items
Withdrawal · object[]
required
next_page_params
object
required
Example:
{ "index": 50, "items_count": 50 }